package com.ximai.mes.pro.domain.productionMake;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 打样申请工序工装夹具对象 pro_production_make_process_tool
 *
 * @author generator
 * @date 2024-01-27
 */
public class ProProductionMakeProcessTool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId
    private Long productionMakeProcessToolId;

    /** 打样申请单ID */
    private Long productionMakeId;

    /** 打样申请工序ID */
    private Long productionMakeProcessId;

    /** 检验项ID */
    @Excel(name = "检验项ID")
    private Long toolId;

    /** 要求数量 */
    @Excel(name = "要求数量")
    private BigDecimal quantity;

    public void setProductionMakeProcessToolId(Long productionMakeProcessToolId)
    {
        this.productionMakeProcessToolId = productionMakeProcessToolId;
    }

    public Long getProductionMakeProcessToolId()
    {
        return productionMakeProcessToolId;
    }
    public void setProductionMakeId(Long productionMakeId)
    {
        this.productionMakeId = productionMakeId;
    }

    public Long getProductionMakeId()
    {
        return productionMakeId;
    }
    public void setProductionMakeProcessId(Long productionMakeProcessId)
    {
        this.productionMakeProcessId = productionMakeProcessId;
    }

    public Long getProductionMakeProcessId()
    {
        return productionMakeProcessId;
    }
    public void setToolId(Long toolId)
    {
        this.toolId = toolId;
    }

    public Long getToolId()
    {
        return toolId;
    }
    public void setQuantity(BigDecimal quantity)
    {
        this.quantity = quantity;
    }

    public BigDecimal getQuantity()
    {
        return quantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productionMakeProcessToolId", getProductionMakeProcessToolId())
            .append("productionMakeId", getProductionMakeId())
            .append("productionMakeProcessId", getProductionMakeProcessId())
            .append("toolId", getToolId())
            .append("quantity", getQuantity())
            .append("remark", getRemark())
            .toString();
    }
}
